-- ----------------------------------------------------------------------------
-- Copyright (C) 2012 Nokia Gate5 GmbH Berlin
--
-- These coded instructions, statements, and computer programs contain
-- unpublished proprietary information of Nokia Gate5 GmbH Berlin, and
-- are copy protected by law. They may not be disclosed to third parties
-- or copied or duplicated in any form, in whole or in part, without the
-- specific, prior written permission of Nokia Gate5 GmbH Berlin.
-- ----------------------------------------------------------------------------
--      Authors: RFS, Fabian TP Riek
-- ----------------------------------------------------------------------------
--             Voice Skin: Chinese Mandarin TTS

description = "TTS"
gender = "f"
travel_mode = "0"    -- walk and drive 
output_type = "tts"
speaker = "Ting-Ting"
language = "Chinese (Mandarin)"
marc_code = "chi"
language_id = "31"
id = "31001"
config_file = "mandarin_chinese_tts/config_tts.lua"
audio_files_path = "mandarin_chinese_tts/mandarin_chinese_tts"
rulesets_file = "mandarin_chinese_tts/mandarin_chinese_tts/rulesets_MNC.txt"
apdb = "apdb/ting-ting/nm"
audio_files_version = "0.3.0.2012031601"
feature_list = { "metric", "imperial_uk", "imperial_us" }
client_range = "[ client >= 1.4.6.0 ; client < 1.7.0.0 ]"

maneuver_check = {
    ["END"] = "您将到达目的地",                                  -- You will reach your destination
    ["STOPOVER"] = "您将到达中途停留点",                          -- You will reach a stopover
    ["JUNCTION"] = nil,                                     -- No voice file needed -> check maneuver_turn
    ["PASS_JUNCTION"] = nil,                                -- the junction
    ["ROUNDABOUT"] = "绕环岛行驶，",                              -- At the roundabout
    ["EXIT_ROUNDABOUT"] = "请从出口驶出",                         -- take the exit
    ["UTURN"] = "请掉头",                                      -- Make a uturn
    ["ENTER_HIGHWAY"] = "请上高速公路",
    ["LEAVE_HIGHWAY"] = "请从出口驶出",                           -- take the exit
    ["CONTINUE_HIGHWAY"] = "从出口驶出",                         -- due to specifications ("take the exit")
    ["ENTER_URBAN_HIGHWAY"] = "请上高速公路",
    ["LEAVE_URBAN_HIGHWAY"] = "从出口驶出",                      -- take the exit
    ["CONTINUE_URBAN_HIGHWAY"] = "从出口驶出",
    ["DRIVE_TO_NEAREST_ROAD"] = "请驶向距离最近的道路",               -- drive to nearest road 
    ["FERRY"] = "请上渡船"
}

maneuver_turns_car = {
    ["NO_TURN"] = "直行",
    ["KEEP_MIDDLE"] = "请走中间车道",
    ["KEEP_RIGHT"] = "请沿右侧行驶",
    ["LIGHT_RIGHT"] = "请小幅右转",
    ["QUITE_RIGHT"] = "向右转",
    ["HEAVY_RIGHT"] = "请向右急转",
    ["RETURN"] = "请掉头",
    ["HEAVY_LEFT"] = "请向左急转",
    ["QUITE_LEFT"] = "向左转",
    ["LIGHT_LEFT"] = "请小幅左转",
    ["KEEP_LEFT"] = "请沿左侧行驶",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

maneuver_turns_pedestrian = {
    ["NO_TURN"] = "直行",
    ["KEEP_MIDDLE"] = "直行",
    ["KEEP_RIGHT"] = "请沿马路右侧行走",
    ["LIGHT_RIGHT"] = "请小幅右转",
    ["QUITE_RIGHT"] = "向右转",
    ["HEAVY_RIGHT"] = "请向右急转",
    ["RETURN"] = "请掉头",
    ["HEAVY_LEFT"] = "请向左急转",
    ["QUITE_LEFT"] = "向左转",
    ["LIGHT_LEFT"] = "请小幅左转",
    ["KEEP_LEFT"] = "请沿马路左侧行走",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

pedestrian_vc = {
    ["BUILDING"] = "穿过建筑物",
    ["SQUARE"] = "穿过广场",
    ["PARK"] = "穿过公园",
    ["STAIRS"] = "请走楼梯",
    ["ELEVATOR"] = "请乘电梯",
    ["ESCALATOR"] = "请走楼梯"
}

final_command = {
    ["END"] = "您已到达目的地",                      -- You have reached your destination
    ["STOPOVER"] = "您已到达中途停留点"                -- You have reached a stopover
}

exit_number_check = {
    [1] = {"请从第一个出口驶出", "在第一条街道转弯"},          -- take the first exit
    [2] = {"请从第二个出口驶出", "在第二条街道转弯"},          -- take the second exit
    [3] = {"请从第三个出口驶出", "在第三条街道转弯"},          -- take the third exit
    [4] = {"请从第四个出口驶出", "在第四条街道转弯"},          -- take the fourth exit
    [5] = {"请从第五个出口驶出", "在第五条街道转弯"},          -- take the fifth exit
    [6] = {"请从第六个出口驶出", "在第六条街道转弯"},          -- take the sixth exit
    [7] = {"请从第七个出口驶出", "请从第七个出口驶出"},         -- take the seventh exit
    [8] = {"请从第八个出口驶出", "请从第八个出口驶出"},         -- take the eighth exit
    [9] = {"请从第九个出口驶出", "请从第九个出口驶出"},         -- take the ninth exit
    [10] = {"请从第十个出口驶出", "请从第十个出口驶出"},        -- take the tenth exit
    [11] = {"请从第十一个出口驶出", "请从第十一个出口驶出"},      -- take the eleventh exit
    [12] = {"请从第十二个出口驶出", "请从第十二个出口驶出"}       -- take the twelfth exit
}

unit = {                        
    ["MILE"] = "英里",
    ["YARDS"] = "码",
    ["FEET"] = "英尺",
    ["KILOMETER"] = "公里",
    ["METERS"] = "米",
    ["METER"] = "米",
    ["KILOMETERS"] = "公里",
    ["MILES"] = "英里",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

orientation = {
    ["NORTH"] = "向北行走",
    ["NORTH_EAST"] = "向东北行走",
    ["EAST"] = "向东行走",
    ["SOUTH_EAST"] = "向东南行走",
    ["SOUTH"] = "向南行走",
    ["SOUTH_WEST"] = "向西南行走",
    ["WEST"] = "向西行走",
    ["NORTH_WEST"] = "向西北行走"
}

misc = { 
    ["gps_signal_lost_wav"] = "GPS信号丢失",
    ["gps_signal_restored_wav"] = "GPS连接已恢复",
 --   ["no_gps_signal_wav"] = "没有GPS信号",
    ["route_recalculation_wav"] = "重新计算路线",
    ["now_wav"] = "现在",
    ["end_of_street_wav"] = "在车道的终点",
    ["follow_motorway_wav"] = "请沿着高速公路",
    ["follow_motorway_2_wav"] = "行驶",
    ["follow_road_wav"] = "请继续沿着道路行驶",
    ["after_wav"] = "之后",
    ["after_the_junction_wav"] = "过了交叉口之后",
    ["half_a_mile_wav"] = "半英里",
    ["quarter_a_mile_wav"] = "四分之一英里",
    ["three_quarter_of_mile_wav"] = "四分之三英里",
    ["immediately_wav"] = "立刻",
    ["safety_camara_ahead_wav"] = "前方有摄像头",
    --["over_speed_limit_wav"] = "注意限速",
    ["traffic_automatic_detour_wav"] = "您的路线上有交通事件发生 正在绕行",
    ["traffic_manual_detour_wav"] = "您的路线上有交通事件发生 是否绕行？",
    ["no_detour_possible"] = "无法绕开发生交通事件的路段",
    ["and_wav"] = "然后",
    ["and_then_wav"] = "然后",
    ["and_continue_on_wav"] = "然后一直沿",
    ["and_continue_on_2_wav"] ="前行",
    ["towards_wav"] = "驶向",
    ["towards_ped_wav"] = "步行至",
    ["turn_wav"] = "转",
    ["onto_wav"] = "驶入",
    ["onto_ped_wav"] = "步行进入",
    ["exit_wav"] = "从出口",
    ["exit_2_wav"] = "驶出",
    ["second_right_wav"] = "从第二个路口右转",
    ["second_left_wav"] = "请从第二个路口左转",
    ["dot"] = "。",
    ["walk_right_roundabout_wav"] = "请沿环岛逆时针行走,",
    ["walk_left_roundabout_wav"] = "请沿环岛顺时针行走,",
    ["walk_roundabout_wav"] = "请绕环岛行走",
    ["pause"] = "\\pause=50\\",
    ["on_dest_wav"] = "目的地位于",
    ["on_stop_wav"] = "停留点位于",
    ["on_2_wav"] = "沿着",
    ["the_footpath_wav"] = "进入小路"
}

wav_files = { 
    ["beep_sound"] = "beep16K.wav",
	["speed_limit_beeps"] = "g5war_speed_limit_soft4edit9.wav"       
}

right = { ["QUITE_RIGHT"] = 0, ["HEAVY_RIGHT"] = 0, ["LIGHT_RIGHT"] = 0, ["KEEP_RIGHT"] = 0 }
left = { ["QUITE_LEFT"] = 0, ["HEAVY_LEFT"] = 0, ["LIGHT_LEFT"] = 0, ["KEEP_LEFT"] = 0 }
keep = { ["KEEP_LEFT"] = 0, ["KEEP_RIGHT"] = 0, ["KEEP_MIDDLE"] = 0 }
highway = { ["ENTER_HIGHWAY"] = 0, ["ENTER_URBAN_HIGHWAY"] = 0, ["LEAVE_HIGHWAY"] = 0, ["LEAVE_URBAN_HIGHWAY"] = 0 }


